<?php

/**
 * PHPExcel
 *
 * Copyright (C) 2006 - 2013 PHPExcel
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 *
 * @category   PHPExcel
 * @package    PHPExcel
 * @copyright  Copyright (c) 2006 - 2013 PHPExcel (http://www.codeplex.com/PHPExcel)
 * @license    http://www.gnu.org/licenses/old-licenses/lgpl-2.1.txt	LGPL
 * @version    1.7.9, 2013-06-02
 */

/** Error reporting */
error_reporting(E_ALL);
ini_set('display_errors', TRUE);
ini_set('display_startup_errors', TRUE);
//date_default_timezone_set('Europe/London');

if (PHP_SAPI == 'cli')
	die('This example should only be run from a Web Browser');

/** Include PHPExcel */
require_once '../Classes/PHPExcel.php';
require_once('../../Connections/arvores.php');
session_start();
//Validacao de login
if( !isset($_SESSION['username'])){
		header("Location: error.php" );
	}
	
	


//Query
mysql_select_db($database_arvores, $arvores);
$query_pagamento = "SELECT DATE_FORMAT(pag_data_emissao, '%d/%m/%Y') as pag_dat_emissao, DATE_FORMAT(pag_data_vencimento, '%d/%m/%Y') as pag_dat_vencimento, DATE_FORMAT(pag_data_pagamento, '%d/%m/%Y') as pag_dat_pagamento, pag_parcelamento_ini, pag_parcelamento_fim, pag_nota_fiscal, pag_valor, pag_desconto, pag_multa, pag_pis, pag_cofins, pag_iss, pag_csll, pag_ir, pag_outro, pag_detalhe, banco_id, banco_nome, banco_numero, banco_agencia, banco_agencia_dig, banco_conta, banco_conta_dig, banco_detalhe, banco_padrao, banco_ativo, periodicidade_id, periodicidade_nome, forma_id, forma_nome, fornecedor_id, fornecedor_nome, fornecedor_cnpj, conta_id, conta_nome, ccusto_id, ccusto_nome, ccusto_grupo_id, ccusto_grupo_nome, conta_grupo_id, conta_grupo_nome
FROM pagamento  
Inner JOIN banco ON id_banco=banco_id  
Inner JOIN periodicidade ON id_periodicidade=periodicidade_id  
Inner JOIN forma ON id_forma=forma_id  
Inner JOIN fornecedor ON id_fornecedor=fornecedor_id 
Inner JOIN conta ON id_conta=conta_id  
Inner JOIN ccusto ON id_ccusto=ccusto_id
Inner JOIN ccusto_grupo ON id_ccusto_grupo=ccusto_grupo_id 
Inner JOIN conta_grupo ON id_conta_grupo=conta_grupo_id  
WHERE pag_ativo = 1 ".$_SESSION['criterio']." ORDER BY pag_data_emissao ASC";
$pagamento = mysql_query($query_pagamento, $arvores) or die(mysql_error());
$row_pagamento = mysql_fetch_assoc($pagamento);
$totalRows_pagamento = mysql_num_rows($pagamento);
$totalFields_pagamento = mysql_num_fields ($pagamento);
$linha = 0;
$coluna = 65;
$coluna_2 = 00;
$linha = 1;



// Create new PHPExcel object
$objPHPExcel = new PHPExcel();

// Set document properties
$objPHPExcel->getProperties()->setCreator("Arvoros Sistemas inteligentes")
							 ->setLastModifiedBy("Arvoros Sistemas inteligentes")
							 ->setTitle("Arvoros Sistemas inteligentes")
							 ->setSubject("Arvoros Sistemas inteligentes")
							 ->setDescription("Arvoros Sistemas inteligentes")
							 ->setKeywords("office 2007 openxml php")
							 ->setCategory("Arvoros Sistemas inteligentes");

// Add some data
$objPHPExcel->setActiveSheetIndex(0);
//Titulos			
foreach (array_keys($row_pagamento) as $value) {
		
	//Verificando colunas
	if($coluna >90){
		$coluna = 65;
		if($coluna_2 >= 65){
			$coluna_2++;
		}else{
			$coluna_2=65;
		}
	}
	
	//Variavel com a Coluna
	if($coluna_2 >=65){
		$coluna_nome = chr($coluna_2).chr($coluna);	
	}else{
		$coluna_nome = chr($coluna);	
	}
	//Adicionando Proxima Coluna
	$coluna++;
	

	$objPHPExcel->getActiveSheet()->SetCellValue($coluna_nome.$linha, utf8_encode($value));
	
}


//Proxima Linha e Reset Coluna
	$linha++;
	$coluna = 65;
	$coluna_2 = 00;

//DADOS
do {

	foreach (array_keys($row_pagamento) as $value) {
		
		//Verificando colunas
		if($coluna >90){
			$coluna = 65;
			if($coluna_2 >= 65){
				$coluna_2++;
			}else{
				$coluna_2=65;
			}
		}
		
		//Variavel com a Coluna
		if($coluna_2 >=65){
			$coluna_nome = chr($coluna_2).chr($coluna);	
		}else{
			$coluna_nome = chr($coluna);	
		}
	
		//Adicionando Proxima Coluna
		$coluna++;
		$objPHPExcel->getActiveSheet()->SetCellValue($coluna_nome.$linha, utf8_encode($row_pagamento[$value]));
	}
	
	//Proxima Linha e Reset Coluna
	$linha++;
	$coluna = 65;
	$coluna_2 = 00;
	

} while ($row_pagamento = mysql_fetch_assoc($pagamento));


// Rename worksheet
$objPHPExcel->getActiveSheet()->setTitle('export');


// Set active sheet index to the first sheet, so Excel opens this as the first sheet
$objPHPExcel->setActiveSheetIndex(0);


// Redirect output to a client’s web browser (Excel2007)
header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
header('Content-Disposition: attachment;filename="export.xlsx"');
header('Cache-Control: max-age=0');

$objWriter = PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel2007');
$objWriter->save('php://output');
exit;